﻿

/*-----------------------------for media group*/

.hover-zoom:hover {
    transform: scale(1.05);
}


/* استایل کارت خوانده شده */
.media-item.border-success {
    border: 2px solid #28a745 !important;
    background-color: #f0fff4;
}

/* استایل کارت جدید */
.media-item.border-danger {
    border: 2px dashed #009be5 !important;
    background-color: #eaf2ff;
}

/* تصویر hover کنار ماوس */
#hoverPreview {
    display: none;
    position: absolute;
    z-index: 9999;
    border: 2px solid #ccc;
    background-color: #fff;
    padding: 4px;
    max-width: 200px;
    max-height: 150px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    pointer-events: none;
}

/* ریسپانسیو کارت‌ها */
@media (max-width: 576px) {
    .media-item {
        font-size: 0.9rem;
    }
}
/*----------------------------------------------*/


/*----------------------------------------------*/

.mycontent-left {
    border-right: 1px dashed #333;
}

.p-icon {
    font-family: "WebComponentsIcons" !important;
}

     



.rgHeader {
    background-color: #c4e3f3 !important;
    background-image: linear-gradient(to bottom, #ffc107 45%, #cd9c07 55%) !important;
    background-image: linear-gradient(to bottom, #ffc107 45%, #cd9c07 55%) !important;
    color: black !important;
    border-color: #cd9c07 !important;
}

.RadAjaxPanel {
    width: 100%;
}

.rgHeader a {
    background-color: #c4e3f3 !important;
    background-image: linear-gradient(to bottom, #d9edf7 20%, #a1d8f5 100%) !important;
    color: white !important;
}

div.RadGrid .rgAltRow {
    background: #ffeebb;
    color: #000;
}

.RadGrid_MetroTouch {
    border-color: #e6e5e5;
    color: #333;
    background-color: #fff;
}

.rgSelectedRow {
    background-color: #b9d027 !important;
    border-color: #b9d027 !important;
}

    .rgSelectedRow > td {
        background-color: #b9d027 !important;
        border-color: #b9d027 !important;
    }

.rgHoveredRow {
    background-color: #d4e953 !important;
    border-color: #d4e953 !important;
}

.input-group:not(.has-validation) > .custom-file:not(:last-child) .custom-file-label, .input-group:not(.has-validation) > .custom-file:not(:last-child) .custom-file-label::after, .input-group:not(.has-validation) > .custom-select:not(:last-child), .input-group:not(.has-validation) > .form-control:not(:last-child) {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.input-group > .input-group-append > .btn, .input-group > .input-group-append > .input-group-text, .input-group > .input-group-prepend:first-child > .btn:not(:first-child), .input-group > .input-group-prepend:first-child > .input-group-text:not(:first-child), .input-group > .input-group-prepend:not(:first-child) > .btn, .input-group > .input-group-prepend:not(:first-child) > .input-group-text {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.input-group:not(.has-validation) > .custom-file:not(:last-child) .custom-file-label, .input-group:not(.has-validation) > .custom-file:not(:last-child) .custom-file-label::after, .input-group:not(.has-validation) > .custom-select:not(:last-child), .input-group:not(.has-validation) > .form-control:not(:last-child) {
    border-top-right-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
}
